Project

General

Profile

Issue #1406

vpn unter lubuntu 16.04 mit network-manager herstellen

Added by volker kempter over 4 years ago. Updated about 4 years ago.

Status:
Closed
Priority:
Normal
Category:
networkmanager (charon-nm)
Affected version:
5.3.5
Resolution:
Fixed

Description

Befund: VPN kann unter Lubuntu-16.04 vom Network-manager (NM) aus nicht mehr aktiviert werden → VPN - Verbindung wird nicht hergestellt (keine Fehlermeldung).

Im NM: Bearbeiten → Markieren der VPN - Verbindung → Fehler: VPN-Erweiterungsdienst „org.freedesktop.NetworkManager.strongswan“ kann nicht gefunden werden. Dieselbe Meldung, wenn in NM Verbindungen → VPN → Konfigurieren gewählt wird.

Nach wie vor kann aber VPN über die Konsole hergestellt werden über: sudo ipsec restart und sudo ipsec up tuc-vpn.

Die Version des NM ist v1.1.93-0ubuntu3; Strongswan – Paket ist v5.3.5-1 und Network-Manager-Strongswan ist v1.3.1-1.

Das Problem tritt erst seit ca. 3 Tagen auf, (vermutlich) nachdem neue Pakete für den NM und / oder strongswan installiert wurden.


Related issues

Has duplicate Issue #1429: Cannot create new StrongSwan VPN connection in network manager on Ubuntu 16.04Closed22.04.2016
Has duplicate Issue #1450: Error with Ubuntu 16.04 and network-manager-strongswanClosed06.05.2016

History

#1 Updated by Tobias Brunner over 4 years ago

  • Status changed from New to Feedback

Bitte den (L)Ubuntu/Debian Package Maintainern melden.

#2 Updated by volker kempter over 4 years ago

danke, mach ich!

#3 Updated by volker kempter over 4 years ago

reported as bug #1570352 at launchpad (against network-manager package).

Schaun mer mal...

#4 Updated by Tobias Brunner over 4 years ago

  • Has duplicate Issue #1429: Cannot create new StrongSwan VPN connection in network manager on Ubuntu 16.04 added

#5 Updated by Tobias Brunner over 4 years ago

  • Has duplicate Issue #1450: Error with Ubuntu 16.04 and network-manager-strongswan added

#6 Updated by Mikael Svensson over 4 years ago

In the launchpad bug report they suggests some changes to Strongswan git repo fyi.

https://bugs.launchpad.net/ubuntu/+source/network-manager-strongswan/+bug/1570352/comments/6

#7 Updated by volker kempter over 4 years ago

activation of vpn via the network manager in lubuntu 16.04:

with the new version of the network-manager-gnome package, v1.2.0-0ubuntu.16.04.3,
VPN can apparently again be established via the manager.
No complaints anymore from my side...

#8 Updated by Nick Nizovtsev over 4 years ago

In my case the problem is still there:

dpkg --list | grep network-manager
ii network-manager 1.2.0-0ubuntu0.16.04.2
ii network-manager-gnome 1.2.0-0ubuntu0.16.04.3
ii network-manager-strongswan 1.3.1-1ubuntu1

nm-connection-editor
Message: vpn: (strongswan,/etc/NetworkManager/VPN/nm-strongswan-service.name) cannot load legacy-only plugin

#9 Updated by Dmitry Korzhevin over 4 years ago

Ubuntu 16.04.1, slightly updated packages, but issue still exist:

$ dpkg --list | grep network-manager | awk {'print $2,$3'}
network-manager 1.2.0-0ubuntu0.16.04.3
network-manager-gnome 1.2.0-0ubuntu0.16.04.3
network-manager-strongswan 1.3.1-1ubuntu1

#10 Updated by Tobias Brunner about 4 years ago

  • Category set to networkmanager (charon-nm)
  • Status changed from Feedback to Closed
  • Assignee set to Tobias Brunner
  • Resolution set to Fixed

Fixed with version 1.4.0 of the plugin.

Also available in: Atom PDF